Liferay.Loader.define("frontend-js-web@3.0.52/liferay/compat/treeview/Treeview.soy", ['module', 'exports', 'require', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-soy'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports["default"] = exports.templates = exports.liferayfrontendTreeview = void 0;

  var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

  var _metalSoy = _interopRequireDefault(require("frontend-js-metal-web$metal-soy"));

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { "default": obj };
  }

  function _typeof(obj) {
    "@babel/helpers - typeof";
    if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
      _typeof = function _typeof(obj) {
        return typeof obj;
      };
    } else {
      _typeof = function _typeof(obj) {
        return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
      };
    }return _typeof(obj);
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  function _possibleConstructorReturn(self, call) {
    if (call && (_typeof(call) === "object" || typeof call === "function")) {
      return call;
    }return _assertThisInitialized(self);
  }

  function _assertThisInitialized(self) {
    if (self === void 0) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }return self;
  }

  function _getPrototypeOf(o) {
    _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
      return o.__proto__ || Object.getPrototypeOf(o);
    };return _getPrototypeOf(o);
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function");
    }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
  }

  function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
      o.__proto__ = p;return o;
    };return _setPrototypeOf(o, p);
  }

  var templates;
  exports.templates = templates;
  goog.loadModule(function (exports) {
    var soy = goog.require('soy');

    goog.require('soydata');

    // This file was automatically generated from Treeview.soy.
    // Please don't edit this file by hand.

    /**
     * @fileoverview Templates in namespace liferay.frontend.Treeview.
     * @public
     */

    goog.module('liferay.frontend.Treeview.incrementaldom');

    goog.require('goog.soy.data.SanitizedContent');

    var incrementalDom = goog.require('incrementaldom');

    goog.require('soy.asserts');

    var soyIdom = goog.require('soy.idom');
    /**
     * @param {{
     *  elementClasses: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  lastFocusedRef_: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  nodes: (?),
     *  parentPath: (?)
     * }} opt_data
     * @param {Object<string, *>=} opt_ijData
     * @param {Object<string, *>=} opt_ijData_deprecated
     * @return {void}
     * @suppress {checkTypes}
     */

    function $render(opt_data, opt_ijData, opt_ijData_deprecated) {
      opt_ijData = opt_ijData_deprecated || opt_ijData;
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var elementClasses = soy.asserts.assertType(opt_data.elementClasses == null || goog.isString(opt_data.elementClasses) || opt_data.elementClasses instanceof goog.soy.data.SanitizedContent, 'elementClasses', opt_data.elementClasses, '!goog.soy.data.SanitizedContent|null|string|undefined');
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      soy.asserts.assertType(opt_data.lastFocusedRef_ == null || goog.isString(opt_data.lastFocusedRef_) || opt_data.lastFocusedRef_ instanceof goog.soy.data.SanitizedContent, 'lastFocusedRef_', opt_data.lastFocusedRef_, '!goog.soy.data.SanitizedContent|null|string|undefined');
      opt_data.nodes;

      incrementalDom.elementOpenStart('div');
      incrementalDom.attr('class', 'treeview' + (elementClasses ? ' ' + elementClasses : ''));
      incrementalDom.elementOpenEnd();
      $nodes(opt_data, null, opt_ijData);
      incrementalDom.elementClose('div');
    }

    exports.render = $render;
    /**
     * @typedef {{
     *  elementClasses: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  lastFocusedRef_: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  nodes: (?),
     *  parentPath: (?)
     * }}
     */

    $render.Params;

    if (goog.DEBUG) {
      $render.soyTemplateName = 'liferay.frontend.Treeview.render';
    }
    /**
     * @param {{
     *  lastFocusedRef_: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  nodes: (?),
     *  parentPath: (?)
     * }} opt_data
     * @param {Object<string, *>=} opt_ijData
     * @param {Object<string, *>=} opt_ijData_deprecated
     * @return {void}
     * @suppress {checkTypes}
     */

    function $nodes(opt_data, opt_ijData, opt_ijData_deprecated) {
      opt_ijData = opt_ijData_deprecated || opt_ijData;
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var lastFocusedRef_ = soy.asserts.assertType(opt_data.lastFocusedRef_ == null || goog.isString(opt_data.lastFocusedRef_) || opt_data.lastFocusedRef_ instanceof goog.soy.data.SanitizedContent, 'lastFocusedRef_', opt_data.lastFocusedRef_, '!goog.soy.data.SanitizedContent|null|string|undefined');
      /** @type {?} */

      var nodes = opt_data.nodes;
      /** @type {?} */

      var parentPath = opt_data.parentPath;

      if (nodes) {
        incrementalDom.elementOpenStart('ul');
        incrementalDom.attr('class', 'treeview-nodes');
        incrementalDom.attr('role', 'tree');
        incrementalDom.elementOpenEnd();
        var node408List = nodes;
        var node408ListLen = node408List.length;

        for (var node408Index = 0; node408Index < node408ListLen; node408Index++) {
          var node408Data = node408List[node408Index];
          var index__soy401 = node408Index;
          $node({
            lastFocusedRef_: lastFocusedRef_,
            node: node408Data,
            path: parentPath != null ? parentPath + '-' + index__soy401 : index__soy401
          }, null, opt_ijData);
        }

        incrementalDom.elementClose('ul');
      }
    }

    exports.nodes = $nodes;
    /**
     * @typedef {{
     *  lastFocusedRef_: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  nodes: (?),
     *  parentPath: (?)
     * }}
     */

    $nodes.Params;

    if (goog.DEBUG) {
      $nodes.soyTemplateName = 'liferay.frontend.Treeview.nodes';
    }
    /**
     * @param {{
     *  lastFocusedRef_: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  node: (?),
     *  path: (?)
     * }} opt_data
     * @param {Object<string, *>=} opt_ijData
     * @param {Object<string, *>=} opt_ijData_deprecated
     * @return {void}
     * @suppress {checkTypes}
     */

    function $node(opt_data, opt_ijData, opt_ijData_deprecated) {
      opt_ijData = opt_ijData_deprecated || opt_ijData;
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var lastFocusedRef_ = soy.asserts.assertType(opt_data.lastFocusedRef_ == null || goog.isString(opt_data.lastFocusedRef_) || opt_data.lastFocusedRef_ instanceof goog.soy.data.SanitizedContent, 'lastFocusedRef_', opt_data.lastFocusedRef_, '!goog.soy.data.SanitizedContent|null|string|undefined');
      /** @type {?} */

      var node = opt_data.node;
      /** @type {?} */

      var path = opt_data.path;
      var focusRef__soy417 = lastFocusedRef_ ? lastFocusedRef_ : 'node-0';
      var ref__soy419 = 'node-' + path;
      incrementalDom.elementOpenStart('li');
      incrementalDom.attr('class', 'treeview-node');
      incrementalDom.attr('data-treeview-path', path);
      incrementalDom.attr('data-onkeyup', 'handleNodeKeyUp_');
      $ariaExpanded(opt_data, null, opt_ijData);
      incrementalDom.attr('role', 'treeitem');
      incrementalDom.attr('tabindex', focusRef__soy417 == ref__soy419 ? '0' : '-1');
      incrementalDom.attr('ref', ref__soy419);
      incrementalDom.elementOpenEnd();

      if (node) {
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'treeview-node-wrapper' + (node.expanded ? ' expanded' : ''));
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'treeview-node-main clearfix' + (node.children ? ' hasChildren' : ''));
        incrementalDom.attr('data-onclick', 'handleNodeClicked_');
        incrementalDom.elementOpenEnd();

        if (node.children) {
          incrementalDom.elementOpenStart('div');
          incrementalDom.attr('class', 'treeview-node-toggler');
          incrementalDom.elementOpenEnd();
          incrementalDom.elementClose('div');
        }

        incrementalDom.elementOpenStart('span');
        incrementalDom.attr('class', 'treeview-node-name');
        incrementalDom.elementOpenEnd();
        soyIdom.print(node.name);
        incrementalDom.elementClose('span');
        incrementalDom.elementClose('div');
        $nodes({
          lastFocusedRef_: lastFocusedRef_,
          nodes: node.children,
          parentPath: path
        }, null, opt_ijData);
        incrementalDom.elementClose('div');
      }

      incrementalDom.elementClose('li');
    }

    exports.node = $node;
    /**
     * @typedef {{
     *  lastFocusedRef_: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  node: (?),
     *  path: (?)
     * }}
     */

    $node.Params;

    if (goog.DEBUG) {
      $node.soyTemplateName = 'liferay.frontend.Treeview.node';
    }
    /**
     * @param {{
     *  node: (?)
     * }} opt_data
     * @param {Object<string, *>=} opt_ijData
     * @param {Object<string, *>=} opt_ijData_deprecated
     * @return {void}
     * @suppress {checkTypes}
     */

    function $ariaExpanded(opt_data, opt_ijData, opt_ijData_deprecated) {
      opt_ijData = opt_ijData_deprecated || opt_ijData;
      /** @type {?} */

      var node = opt_data.node;

      if (node.children) {
        incrementalDom.attr('aria-expanded', node.expanded ? 'true' : 'false');
      }
    }

    exports.ariaExpanded = $ariaExpanded;
    /**
     * @typedef {{
     *  node: (?)
     * }}
     */

    $ariaExpanded.Params;

    if (goog.DEBUG) {
      $ariaExpanded.soyTemplateName = 'liferay.frontend.Treeview.ariaExpanded';
    }

    exports.render.params = ["elementClasses", "lastFocusedRef_", "nodes"];
    exports.render.types = {
      "elementClasses": "string",
      "lastFocusedRef_": "string",
      "nodes": "?"
    };
    exports.nodes.params = ["lastFocusedRef_", "nodes", "parentPath"];
    exports.nodes.types = {
      "lastFocusedRef_": "string",
      "nodes": "?",
      "parentPath": "?"
    };
    exports.node.params = ["lastFocusedRef_", "node", "path"];
    exports.node.types = {
      "lastFocusedRef_": "string",
      "node": "?",
      "path": "?"
    };
    exports.ariaExpanded.params = ["node"];
    exports.ariaExpanded.types = {
      "node": "?"
    };
    exports.templates = templates = exports;
    return exports;
  });

  var liferayfrontendTreeview = /*#__PURE__*/function (_Component) {
    _inherits(liferayfrontendTreeview, _Component);

    function liferayfrontendTreeview() {
      _classCallCheck(this, liferayfrontendTreeview);

      return _possibleConstructorReturn(this, _getPrototypeOf(liferayfrontendTreeview).apply(this, arguments));
    }

    return liferayfrontendTreeview;
  }(_metalComponent["default"]);

  exports.liferayfrontendTreeview = liferayfrontendTreeview;

  _metalSoy["default"].register(liferayfrontendTreeview, templates);

  var _default = templates;
  /* jshint ignore:end */

  exports["default"] = _default;
  //# sourceMappingURL=Treeview.soy.js.map
});
//# sourceMappingURL=Treeview.soy.js.map